Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## javax.management.monitor
Interface CounterMonitorMBean

All Superinterfaces:
  MonitorMBean

All Known Implementing Classes:
  CounterMonitor

public interface CounterMonitorMBean
extends MonitorMBean

The counter monitor service MBean interface.

Version:
  $Revision: 1.5 $
Author:
  Adrian Brock

Method Summary
`Number` | `getDerivedGauge()` Deprecated. use `getDerivedGauge(ObjectName)`
`Number` | `getDerivedGauge(ObjectName name)` Retrieves the derived gauge.
`long` | `getDerivedGaugeTimeStamp()` Deprecated. use `getDerivedGaugeTimeStamp(ObjectName)`
`long` | `getDerivedGaugeTimeStamp(ObjectName name)` Retrieves the derived gauge timestamp.
`boolean` | `getDifferenceMode()` Retrieves the difference mode flag.
`Number` | `getInitThreshold()` Retrieves the initial threshold.
`Number` | `getModulus()` Retrieves the modulus.
`boolean` | `getNotify()` Retrieves the notify on/off switch.
`Number` | `getOffset()` Retrieves the offset.
`Number` | `getThreshold()` Deprecated. use `getThreshold(ObjectName)`
`Number` | `getThreshold(ObjectName name)` Retrieves the threshold.
`void` | `setDifferenceMode(boolean value)` Sets the difference mode flag.
`void` | `setInitThreshold(Number value)` Sets the initial threshold.
`void` | `setModulus(Number value)` Sets the modulus.
`void` | `setNotify(boolean value)` Sets the notify on/off switch.
`void` | `setOffset(Number value)` Sets the offset.
`void` | `setThreshold(Number value)` Deprecated. use `setInitThreshold(Number)`

Methods inherited from interface javax.management.monitor.MonitorMBean
`addObservedObject, containsObservedObject, getGranularityPeriod, getObservedAttribute, getObservedObject, getObservedObjects, isActive, removeObservedObject, setGranularityPeriod, setObservedAttribute, setObservedObject, start, stop`

Method Detail

### getDerivedGauge

    public Number getDerivedGauge()

  Deprecated. use `getDerivedGauge(ObjectName)`

  Retrieves the derived gauge.

  Returns:
    the derived gauge.

### getDerivedGaugeTimeStamp

    public long getDerivedGaugeTimeStamp()

  Deprecated. use `getDerivedGaugeTimeStamp(ObjectName)`

  Retrieves the derived gauge timestamp.

  Returns:
    the derived gauge timestamp.

### getThreshold

    public Number getThreshold()

  Deprecated. use `getThreshold(ObjectName)`

  Retrieves the threshold.

  Returns:
    the threshold.

### setThreshold

    public void setThreshold(Number value)
                      throws IllegalArgumentException

  Deprecated. use `setInitThreshold(Number)`

  Sets the threshold.

  Parameters:
    `value` - the threshold value, pass zero for no threshold.
  Throws:
    `IllegalArgumentException` - when the threshold is null or less than zero.

### getDerivedGauge

    public Number getDerivedGauge(ObjectName name)

  Retrieves the derived gauge.

  Parameters:
    `name` - the object name of the mbean.
  Returns:
    the derived gauge.

### getDerivedGaugeTimeStamp

    public long getDerivedGaugeTimeStamp(ObjectName name)

  Retrieves the derived gauge timestamp.

  Parameters:
    `name` - the object name of the mbean.
  Returns:
    the derived gauge timestamp.

### getThreshold

    public Number getThreshold(ObjectName name)

  Retrieves the threshold.

  Parameters:
    `name` - the object name of the mbean.
  Returns:
    the threshold.

### getInitThreshold

    public Number getInitThreshold()

  Retrieves the initial threshold.

  Returns:
    the initial threshold.

### setInitThreshold

    public void setInitThreshold(Number value)
                          throws IllegalArgumentException

  Sets the initial threshold.

  Parameters:
    `value` - the initial threshold.
  Throws:
    `IllegalArgumentException`

### getOffset

    public Number getOffset()

  Retrieves the offset.

  Returns:
    the offset value, zero means no offset.

### setOffset

    public void setOffset(Number value)
                   throws IllegalArgumentException

  Sets the offset.

  Parameters:
    `value` - the offset value, pass zero for no offset.
  Throws:
    `IllegalArgumentException` - when the offset is null or less than zero.

### getModulus

    public Number getModulus()

  Retrieves the modulus.

  Returns:
    the modulus value, zero means no modulus.

### setModulus

    public void setModulus(Number value)
                    throws IllegalArgumentException

  Sets the modulus.

  Parameters:
    `value` - the modulus value, pass zero for no modulus.
  Throws:
    `IllegalArgumentException` - when the modulus is null or less than zero.

### getNotify

    public boolean getNotify()

  Retrieves the notify on/off switch.

  Returns:
    true if notifications occur, false otherwise.

### setNotify

    public void setNotify(boolean value)

  Sets the notify on/off switch.

  Parameters:
    `value` - pass true notifications, false otherwise.

### getDifferenceMode

    public boolean getDifferenceMode()

  Retrieves the difference mode flag.

  Returns:
    true when in difference mode, false otherwise.

### setDifferenceMode

    public void setDifferenceMode(boolean value)

  Sets the difference mode flag.

  Parameters:
    `value` - pass true for difference mode, false otherwise.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2002 JBoss Group, LLC. All Rights Reserved.